> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Lightning Deposit

> Create a lightning invoice for a deposit. All deposit requests require approved KYC.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ramp/{subaccountId}/banking/deposits/lightning
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/deposits/lightning:
    post:
      tags:
        - Deposits
      summary: Lightning Deposit
      description: >-
        Create a lightning invoice for a deposit. All deposit requests require
        approved KYC.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: number
                currency:
                  type: string
                  enum:
                    - usd
                    - brl
                  description: >-
                    All [fiat currencies](/en/supported-currencies) are
                    supported
                note:
                  type: string
              required:
                - amount
                - currency
            example:
              amount: 10000
              currency: usd
              note: payment
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  lightningInvoice:
                    type: string
                  id:
                    type: string
                  paymentHash:
                    type: string
                  paymentRequestAmount:
                    type: number
                  paymentRequestCurrency:
                    type: string
                  invoiceCurrency:
                    type: string
                  cpf:
                    type: string
                    nullable: true
                  isLiquidationInvoice:
                    type: boolean
                  invoiceAmount:
                    type: number
                  rate:
                    type: string
                  status:
                    type: string
                  note:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
              example:
                lightningInvoice: >-
                  lntbs108323630n1p53uucupp5t0gdtpxe6frf8mvpuqqtdvjjkym3v6jk9lf06e0yudm0ww6gghyqdqvwpshjmt9de6qcqzpuxqzfvsp5cdgqvnrq3zy0m36tpqt9q4f5tk24fxkanjx20cdw4tc5229kq30q9qxpqysgqpzh62y0hm0829aedfdv25sy3s2vxevk8dsjrkhh4yjc04nhdyke8g0343k703j7qg8uuwfq49u2kl55hcl4qztnddhh0t6j8txlnnnqpgd9q7g
                id: 5567cac1-d7bc-4b0d-980d-8c2453dc952c
                paymentHash: >-
                  5bd0d584d9d24693ed81e000b6b252b137166a562fd2fd65e4e376f73b4845c8
                paymentRequestAmount: 10000
                paymentRequestCurrency: usd
                invoiceCurrency: stablesats
                cpf: null
                isLiquidationInvoice: false
                invoiceAmount: 1000000
                rate: '1'
                status: unpaid
                note: payment
                createdAt: '2025-11-20T01:47:08.282Z'
                updatedAt: '2025-11-20T01:47:08.282Z'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Unauthorized
                message: Invalid or missing API key
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Forbidden
                message: You do not have permission to access this resource
        '404':
          description: Not Found - Subaccount not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Not Found
                message: Subaccount not found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````